<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1b / January 2019 ==

*/

if (!defined('CPO')) exit;
$translator->addTranslation('navigation',CPO_BASEDIR.$moduleDirectory.'/lang');
$menubreak = true;

$GLOBALS['modules']['Menu'] = array(
	'directory'	=>$moduleDirectory,
    'caption'	=> __('Automatic menu'),
    'install'	=>'function: Menu_install',
    'activate'	=>'function: Menu_activate',
    'deactivate'=>'function: Menu_deactivate',
    'uninstall'	=>'function: Menu_uninstall '.$moduleDirectory,
    'manage'	=>'function: Menu_manage',
    'helptoc'	=> array(
        'bersicht' 
			=> 'http://manual.conpresso4.de/menu/index.htm',
        '1. Eigenschaften' 
			=> 'http://manual.conpresso4.de/menu/features.htm',
        '2. Installation' 
			=> 'http://manual.conpresso4.de/menu/setup.htm',
        '3. Einstellungen' 
			=> 'http://manual.conpresso4.de/menu/settings.htm',
        array(
            '3.1 Mehrsprachigkeit' 
				=> 'http://manual.conpresso4.de/menu/multilanguage.htm',
            '3.2 Weiterleitung nach Login' 
				=> 'http://manual.conpresso4.de/menu/redirect.htm',
            '3.3 Templates' 
				=> 'http://manual.conpresso4.de/menu/templates.htm',
            '3.4 Voreinstellungen' 
				=> 'http://manual.conpresso4.de/menu/presets.htm',
            '3.5 Goodies' 
				=> 'http://manual.conpresso4.de/menu/goodies.htm',
            '3.6 Automatische Erstellung' 
				=> 'http://manual.conpresso4.de/menu/autocreate.htm'
        )
    ),
	'externalHelpUrl'	=> 'http://manual.conpresso4.de',
// Module settings -------------------------------------------------------------------------------------
	'lkey'				=> '',
	'mod_id'			=> 3,
	'owner'				=> $cpoSystem['owner'],
	'nav_type'			=> '0',
	'show_closed'		=> '1',
	'rubric_link'		=> 'name',
	'multilanguage'		=> 'no',
	'defaultlanguage'	=> '',
	'template_dir'		=> 'default',
	'rubrics'			=> array(),
	'prefix'			=> array(
							'0'	=>	'',
							'1'	=>	'&nbsp;&nbsp;&#149;&nbsp;',
							'2'	=>	'&nbsp;&nbsp;&nbsp;&nbsp;&#149;&nbsp;',
							'3'	=>	'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&#149;&nbsp;'
							),
	// sitemap
	'sitemap_details'	=>'yes',
	'sitemapArticleLink'=>'index',
	'sitemap_rubric'	=>'<b><a href="### SITEMAP_RUBRIC_LINK ###">### SITEMAP_RUBRIC_TITLE ###</a></b>',
	'sitemap_article'	=>'<a href="### SITEMAP_ARTICLE_LINK ###">### SITEMAP_ARTICLE_TITLE ###</a>',
	'apre'				=>'article',
	'showArticles'		=>'none',
	// login
	'login_link'		=>'<a href="### NAV_LOGIN_LINK ###">Login</a>',
	'logout_link'		=>'<a href="### NAV_LOGOUT_LINK ###">Logout</a>',
	'usergroup'			=> array(),
	'after_logout'		=> '',
	'ext'				=> 'htm',

	'colors'			=> array (
							'a_link'=>				'#ffffff',
							'a_visited'=>			'#ffffff',
							'a_active'=>			'#ff0000',
							'a_hover'=>				'#ff9900',
							'actual_background'=>	'#FFCCCC',
							'actual_hover'=>		'#CCCCFF',
							'main_background'=>		'#AAAAAA',
							'main_hover'=>			'#CCCCFF',
							'sub_background'=>		'#BBBBBB',
							'sub_hover'=>			'#CCCCFF'
							),
	'classes'			=> array (
							'class_main'=>		'',
							'class_base'=>		'',
							'class_highlight'=>	'',
							'class_header'=>	''
							),
	// auto create
	'rubricscreate'		=> 'yes',
	'autorubricsettings'=> 'noArticlesFound:Keine Artikel gefunden.
noOfArticles:10
sorting:idx, pub_datum desc
standard_template:1
language:deutsch
date_format:d.m.y H:i
articleSeparator:
showArchive:0
showArchiveText:Archiv',
	'allowedTemplates'	=>'1',
	'sourceRubric'		=>0,
	
// template -------------------------------------------------------------------------------------
	'nav_vert'=>'
<!-- START_MOD_MENU_NAVIGATION -->
<table border="0" cellpadding="5" cellspacing="2">
<!-- START_NAVITEM -->
<tr><td bgcolor="### NAV_MARK ###" style="cursor:hand" onmouseover="this.style.backgroundColor=\'### NAV_HOVER ###\'" onMouseOut="this.style.backgroundColor=\'\'" onclick="window.location.href=\'### NAV_LINK ###\'">### NAV_PRE ###<a href="### NAV_LINK ###" class="mod_menu">### NAV_TEXT ###</a></td></tr>
<!-- ENDE_NAVITEM -->
</table>
<!-- ENDE_MOD_MENU_NAVIGATION -->',
	
	'nav_horiz'=>'
<!-- START_MOD_MENU_NAVIGATION -->
<table border="0" cellpadding="10" cellspacing="2"><tr>
<!-- START_NAVITEM -->
<td bgcolor="### NAV_MARK ###" style="cursor:hand" onmouseover="this.style.backgroundColor=\'### NAV_HOVER ###\'" onMouseOut="this.style.backgroundColor=\'\'" onclick="window.location.href=\'### NAV_LINK ###\'">### NAV_PRE ###<a href="### NAV_LINK ###" class="mod_menu">### NAV_TEXT ###</a></td>
<!-- ENDE_NAVITEM -->
</tr></table>
<!-- ENDE_MOD_MENU_NAVIGATION -->
',
	
	'levchange'=>'',

	'levend'=>'',

	'css'=>'a.mod_menu	{ font-size: 11px };'

);

// Hier kommen die Basis-Funktionen ***************************************************************

if (!function_exists('log_menu')) {
	function log_menu()
	{
		global $cpoSystem;
		@mail('post@conpresso4.de','Das Modul Menu 4.1b wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
	}
}

function Menu_install()
{
	global $dbPrefix;
	$query = "CREATE TABLE IF NOT EXISTS ".$dbPrefix."_mod_menu_custom_sets ("
			."id int(11) unsigned NOT NULL auto_increment,"
			."name varchar(255) NOT NULL default '',"
			."settings text NOT NULL,"
			."PRIMARY KEY  (id)"
			.");";
	DEBUG(1, $query, __FILE__, __LINE__);
	$db = new DB;
	$db->query($query); 
	$GLOBALS['message'][] = __('The menu-module was successfully installed!');
	$db->query("INSERT INTO ".CPO_OPTION." (type, options, id) VALUES ('menu', '".serialize(array("installed"=>time()))."', '') ");
	log_menu();
}

function Menu_activate()
{
    $GLOBALS['message'][] = __('The menu-module got activated.');
}

function Menu_deactivate()
{
    $GLOBALS['message'][] = __('The menu-module got deactivated.');
}

function Menu_uninstall($moduleDirectory)
{
	global $dbPrefix;
	$query = "DROP TABLE IF EXISTS ".$dbPrefix."_mod_menu_custom_sets";
	DEBUG(1, $query, __FILE__, __LINE__);
	$db = new DB;
	$db->query($query); 
	$GLOBALS['message'][] .= __('The module was removed from the ConPresso-system. To finally uninstall the module, please remove the module directory').' <i>'.$moduleDirectory.'</i>.';
}

function Menu_manage()
{
	global $k, $module_status, $help_lang;
	printIcon(
		BASE_ABS.$GLOBALS['modules']['Menu']['directory'].'/edit.php', 
		BASE_ABS.'_skin/conpresso/pic_settings.gif', 
		__('options'),
		array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE
	);
	printIcon(
		BASE_ABS.$GLOBALS['modules']['Menu']['directory'].'/autocreate.php', 
		BASE_ABS.'_skin/conpresso/pic_add_level.gif', 
		__('auto create'),
		array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE
	);
}


// jetzt erstellen wir die statischen Navigationen fr pseudo-externe Rubriken
$nav_suffix = '.'.$activeModules['Menu']['ext'];
if (($_REQUEST['action']=='logout' || $_REQUEST['action']=='timeout') && is_array($activeModules['Menu']['fixedNav']) && array_sum($activeModules['Menu']['fixedNav'])) {
	$message[] = __('The static navigation for pseudo-external rubrics is created:');
	foreach($activeModules['Menu']['fixedNav'] AS $fixedNav)  {
		$navID = $fixedNav;
		include(CPO_BASEDIR.$activeModules['Menu']['directory']."/navigation_cache.php");
		if ($activeModules['Menu']['nav_type']==1 OR $activeModules['Menu']['nav_type']==3)  {
			$cacheFileh = fopen(CPO_BASEDIR.$activeModules['Menu']['directory']."/cache/".$fixedNav."h".$nav_suffix,'wb');
			fwrite($cacheFileh,$mod_menu_horizontal);
			fclose($cacheFileh);
		}
		$cacheFilev = fopen(CPO_BASEDIR.$activeModules['Menu']['directory']."/cache/".$fixedNav."v".$nav_suffix,'wb');
		fwrite($cacheFilev,$mod_menu_vertikal);
		fclose($cacheFilev);
		$message[] = sprintf(__('Creating navigation file for <i>%s</i>.'),$fixedNav);
	}
}

if (defined('CPOBACKEND'))
{
	$menudb = new DB;
	$menudb->query('SELECT options FROM '.CPO_OPTION.' '
			  ."WHERE type='menu' ORDER BY id ASC LIMIT 0,1");
	$anzahl = $menudb->num_rows();
	if ($anzahl > 0)  {
		$menudb->next_record();
		$options = $menudb->v('options');
		$menuOpt = unserialize($options);
		if (!is_array($menuOpt)) return;
		foreach ($menuOpt as $key=>$v) {
			$activeModules['Menu'][$key] = $v;
		}
	} else {
		$menudb->query("INSERT INTO ".CPO_OPTION." (type, options, id) VALUES ('menu', '".serialize(array("installed"=>time()))."', '') ");
	}
}

if (!defined('CPOBACKEND'))
{
	if (isset($activeModules['Menu']) && @file_exists(CPO_BASEDIR.$activeModules['Menu']['directory']."/navigation.php")) include(CPO_BASEDIR.$activeModules['Menu']['directory']."/navigation.php");
}
?>
